org.springframework.data.jdbc.repository.query

## Class PartTreeJdbcQuery

- java.lang.Object
- - org.springframework.data.jdbc.repository.query.AbstractJdbcQuery
  - - org.springframework.data.jdbc.repository.query.PartTreeJdbcQuery

All Implemented Interfaces:
  RepositoryQuery

    public class PartTreeJdbcQuery
    extends AbstractJdbcQuery

An `AbstractJdbcQuery` implementation based on a `PartTree`.

Since:
  2.0
Author:
  Mark Paluch, Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`PartTreeJdbcQuery(RelationalMappingContext context, JdbcQueryMethod queryMethod, Dialect dialect, JdbcConverter converter, NamedParameterJdbcOperations operations, RowMapper<Object> rowMapper)` Creates a new `PartTreeJdbcQuery`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.springframework.data.jdbc.repository.query.ParametrizedQuery` `createQuery(RelationalParametersParameterAccessor accessor)`
`Object` `execute(Object[] values)`

### Methods inherited from class org.springframework.data.jdbc.repository.query.AbstractJdbcQuery

`getQueryExecution, getQueryMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartTreeJdbcQuery

    public PartTreeJdbcQuery(RelationalMappingContext context,
                             JdbcQueryMethod queryMethod,
                             Dialect dialect,
                             JdbcConverter converter,
                             NamedParameterJdbcOperations operations,
                             RowMapper<Object> rowMapper)

Creates a new `PartTreeJdbcQuery`.

Parameters:
  `context` - must not be null.
  `queryMethod` - must not be null.
  `dialect` - must not be null.
  `converter` - must not be null.
  `operations` - must not be null.
  `rowMapper` - must not be null.

### Method Detail

#### execute

    public Object execute(Object[] values)

#### createQuery

    protected org.springframework.data.jdbc.repository.query.ParametrizedQuery createQuery(RelationalParametersParameterAccessor accessor)